Get Media upload status
curl --request GET \
--url https://api.x.com/2/media/upload \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/media/upload"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/media/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769",
"media_key": "<string>",
"expires_after_secs": 123,
"processing_info": {
"check_after_secs": 123,
"progress_percent": 123,
"state": "succeeded"
},
"size": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Upload
Get Media upload status
Retrieves the status of a Media upload by its ID.
GET
/
2
/
media
/
upload
Get Media upload status
Authorizations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Media id for the requested media upload status. The unique identifier of this Media.
Pattern:
^[0-9]{1,19}$Example:
"1146654567674912769"
The command for the media upload request.
Available options:
STATUS Response
The request has succeeded.
A response from getting a media upload request status.
Show child attributes
Show child attributes
Minimum array length:
1An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes